#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tree-diff
version:              0.1
visibility:           public
id:                   tree-diff-0.1-FELmMZXQxpCG2DOyIEvTzt
key:                  tree-diff-0.1-FELmMZXQxpCG2DOyIEvTzt
license:              GPL-2.0-or-later
copyright:            (c) 2017-2019 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/tree-diff
synopsis:             Diffing of (expression) trees.
description:
    Common diff algorithm works on list structures:

    @
    diff :: Eq a => [a] -> [a] -> [Edit a]
    @

    This package works on trees.

    @
    treeDiff :: Eq a => Tree a -> Tree a -> Edit (EditTree a)
    @

    This package also provides a way to diff arbitrary ADTs,
    using @Generics@-derivable helpers.

    This package differs from <http://hackage.haskell.org/package/gdiff gdiff>,
    in a two ways: @tree-diff@ doesn'\''t have patch function,
    and the "edit-script" is a tree itself, which is useful for pretty-printing.

    @
    >>> prettyEditExpr $ ediff (Foo 42 [True, False] "old") (Foo 42 [False, False, True] "new")
    Foo
    \  {fooBool = [-True, +False, False, +True],
    \   fooInt = 42,
    \   fooString = -"old" +"new"}
    @

category:             Data, Testing
abi:                  219a12d3430f0d86e97545197715c69e
exposed:              True
exposed-modules:
    Data.TreeDiff Data.TreeDiff.Class Data.TreeDiff.Expr
    Data.TreeDiff.Golden Data.TreeDiff.List Data.TreeDiff.Parser
    Data.TreeDiff.Pretty Data.TreeDiff.QuickCheck Data.TreeDiff.Tree

import-dirs:          /usr/lib/ghc-8.8.3/site-local/tree-diff-0.1
library-dirs:         /usr/lib/ghc-8.8.3/site-local/tree-diff-0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.8.3/tree-diff-0.1
hs-libraries:         HStree-diff-0.1-FELmMZXQxpCG2DOyIEvTzt
depends:
    QuickCheck-2.14-BpiBnslMXnDA1rRvvTRhCl
    aeson-1.4.7.1-D2ldL4AX1zOJH6OUZhNdCi
    ansi-terminal-0.10.3-E9f5lPr75erGIbzW4It0dA
    ansi-wl-pprint-0.6.9-LtWKTWHyB8p3BwKfdIJV1c base-4.13.0.0
    base-compat-0.11.1-4oueEGUxmwHC6tuHqQ6hE2 bytestring-0.10.10.0
    containers-0.6.2.1 hashable-1.3.0.0-GFyEr4gS8CZEgl3N6WrORB
    parsec-3.1.14.0 parsers-0.12.10-7X5UDcA4mCRQ5uZk2Q5J5
    pretty-1.1.3.6 scientific-0.3.6.2-L23NT81Suoi4KfELghMhed
    tagged-0.8.6-LfhHZ57rMjK9JkdnSRh9cF text-1.2.4.0 time-1.9.3
    unordered-containers-0.2.10.0-A1cNogzO5wQ33Xk0bjeyDo
    uuid-types-1.0.3-CRmROUkUzZy5R393GhetWg
    vector-0.12.1.2-C2W44iPdAFeHo4yLU081Gd

haddock-interfaces:   /usr/share/doc/haskell-tree-diff/html/tree-diff.haddock
haddock-html:         /usr/share/doc/haskell-tree-diff/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

